Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibatis.jpetstore.service
Class OrderService

    java.lang.Object
      com.ibatis.jpetstore.service.OrderService

public class OrderService
extends Object

Date: Mar 6, 2004 11:22:36 PM

Author:
  Clinton Begin

Field Summary
`private com.ibatis.dao.client.DaoManager` | `daoManager`
`private static OrderService` | `instance`
`private ItemDao` | `itemDao`
`private OrderDao` | `orderDao`
`private SequenceDao` | `sequenceDao`

Constructor Summary
`OrderService()`

Method Summary
`static OrderService` | `getInstance()`
`int` | `getNextId(String key)`
`Order` | `getOrder(int orderId)`
`com.ibatis.common.util.PaginatedList` | `getOrdersByUsername(String username)`
`void` | `insertOrder(Order order)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    private static final OrderService instance

### daoManager

    private com.ibatis.dao.client.DaoManager daoManager

### itemDao

    private ItemDao itemDao

### orderDao

    private OrderDao orderDao

### sequenceDao

    private SequenceDao sequenceDao

Constructor Detail

### OrderService

    public OrderService()

Method Detail

### getInstance

    public static OrderService getInstance()

### insertOrder

    public void insertOrder(Order order)

### getOrder

    public Order getOrder(int orderId)

### getOrdersByUsername

    public com.ibatis.common.util.PaginatedList getOrdersByUsername(String username)

### getNextId

    public int getNextId(String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.